OBJDIR	:= obj

# Cross-compiler toolchain
CC	:= $(GCCPREFIX)gcc -pipe
CXX	:= $(GCCPREFIX)c++ -pipe
AS	:= $(GCCPREFIX)as
AR	:= $(GCCPREFIX)ar
LD	:= $(GCCPREFIX)ld
OBJCOPY	:= $(GCCPREFIX)objcopy
OBJDUMP	:= $(GCCPREFIX)objdump
NM	:= $(GCCPREFIX)nm

# Native commands
NCC	:= gcc $(CC_VER) -pipe
TAR	:= tar
PERL	:= perl

# Опции компиляции
# Опция -O2 необходима для получения загрузчика размером не более 512 bytes;
# -fno-builtin - для избежания ссылок на неопределенные функции в ядре
CFLAGS	:= $(CFLAGS) $(DEFS) $(LABDEFS) -Os -fno-builtin -I. -MD -Wall -Wno-format -Werror -ggdb

# The mkbootdisk program
mkbootdisk: mkbootdisk.c
	@echo + hostcc mkbootdisk.c
	$(V)gcc mkbootdisk.c -o mkbootdisk


# For deleting the build
clean:
	@echo + clean
	$(V)rm -rf $(OBJDIR) *.img mkbootdisk

realclean: clean
	$(V)rm -rf $(DISTDIR)-$(USER).tar.gz $(DISTDIR)-$(USER)

distclean: realclean
	$(V)rm -rf conf/gcc.mk


